> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Calendars Sync

> Trigger a sync against connected calendar providers

# Trigger Calendars Sync

Trigger a sync of events from connected calendar provider integrations. Runs asynchronously — poll [Get Sync Status](/api-reference/endpoints/get-calendars-sync-status) for progress.

## Endpoint

```
POST /api/v1/calendars/sync
```

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/calendars/sync" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "syncing": ["calendar-uuid-1", "calendar-uuid-2"],
      "up_to_date": ["calendar-uuid-3"]
    }
  }
  ```
</ResponseExample>
